# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88"
name = "gear-sandbox"
version = "1.10.0"
authors = ["Gear Technologies"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "This crate provides means to instantiate and execute wasm modules."
homepage = "https://gear-tech.io"
documentation = "https://docs.rs/gear-sandbox"
readme = "README.md"
license = "GPL-3.0"
repository = "https://github.com/gear-tech/gear"

[package.metadata.docs.rs]
targets = ["x86_64-unknown-linux-gnu"]

[features]
default = ["std"]
std = [
    "parity-scale-codec/std",
    "log/std",
    "sp-core/std",
    "sp-std/std",
    "sp-wasm-interface-common/std",
    "gear-sandbox-interface/std",
    "gear-sandbox-env/std",
    "wasmer",
    "wasmer-types",
    "wasmer-vm",
    "wasmer-compiler",
    "gear-wasmer-cache",
    "pathdiff",
]
strict = []

[lib]
name = "gear_sandbox"
path = "src/lib.rs"

[dependencies.gear-sandbox-env]
version = "=1.10.0"
default-features = false

[dependencies.gear-sandbox-interface]
version = "=1.10.0"
default-features = false

[dependencies.gear-wasmer-cache]
version = "=1.10.0"
optional = true

[dependencies.log]
version = "0.4.22"
default-features = false

[dependencies.parity-scale-codec]
version = "3.7.5"
default-features = false

[dependencies.pathdiff]
version = "0.2.1"
optional = true
default-features = false

[dependencies.sp-core]
version = "34.0.0"
default-features = false

[dependencies.sp-std]
version = "14.0.0"
default-features = false

[dependencies.sp-wasm-interface-common]
version = "15.0.0"
default-features = false

[dependencies.wasmer]
version = "6.1.0"
features = ["singlepass"]
optional = true
default-features = false

[dependencies.wasmer-compiler]
version = "6.1.0"
optional = true

[dependencies.wasmer-types]
version = "6.1.0"
optional = true

[dependencies.wasmer-vm]
version = "6.1.0"
optional = true

[dev-dependencies.assert_matches]
version = "1.5.0"

[dev-dependencies.wat]
version = "1.0.71"
